---
title: "Live ChatGPT LLM Scraper Advanced"
url: "https://docs.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/live/advanced/"
date: "2026-06-06"
---

## Live ChatGPT LLM Scraper Advanced

  
Live ChatGPT LLM Scraper endpoint provides results from ChatGPT searches. The results are specific to the selected location (see [the List of Locations](https://docs.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/locations.md)) and language (see [the List of Languages](https://docs.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/languages.md)) parameters.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) POST  https://api.dataforseo.com/v3/ai\_optimization/chat\_gpt/llm\_scraper/live/advanced     

      

Pricing

 The cost of the task can be calculated on the [Pricing page](https://dataforseo.com/pricing/ai-optimization/llm-scraper).

 

 All POST data should be sent in the [JSON](https://en.wikipedia.org/wiki/JSON) format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live ChatGPT LLM Scraper API call can contain only one task.

**Execution time for tasks set with the Live ChatGPT LLM Scraper endpoint is currently up to 120 seconds.**

Below you will find a detailed description of the fields you can use for setting a task.

| Field name | Type | Description |
|---|---|---|
| `keyword` | string | *keyword*   **required field**   you can specify **up to 2000 characters** in the `keyword` field   all %## will be decoded (plus character ‘+’ will be decoded to a space character)   if you need to use the “%” character for your `keyword`, please specify it as “%25”;   if you need to use the “+” character for your `keyword`, please specify it as “%2B”  learn more about rules and limitations of `keyword` and `keywords` fields in DataForSEO APIs in this [Help Center article](https://dataforseo.com/help-center/rules-and-limitations-of-keyword-and-keywords-fields-in-dataforseo-apis) |
| `location_name` | string | *full name of search engine location*   **required field if you don't specify** `location_code`   **if you use this field, you don't need to specify `location_code`**   you can receive the list of available locations of the search engine with their `location_name` by making a separate request to the `https://api.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/locations`   example:   `United States` |
| `location_code` | integer | *search engine location code*   **required field if you don't specify** `location_name`   **if you use this field, you don't need to specify `location_name`**   you can receive the list of available locations of the search engines with their `location_code` by making a separate request to the `https://api.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/locations`   example:   `2840` |
| `language_name` | string | *full name of search engine language*   **required field if you don't specify `language_code`;**   if you use this field, you don't need to specify `language_code`;   you can receive the list of available languages of the search engine with their `language_name` by making a separate request to the `https://api.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/languages` |
| `language_code` | string | *search engine language code*   **required field if you don't specify `language_name`;**   if you use this field, you don't need to specify `language_name`;   you can receive the list of available languages of the search engine with their `language_code` by making a separate request to the `https://api.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/languages` |
| `force_web_search` | boolean | *force AI agent to use web search*   optional field   when enabled, the AI model is forced to access and cite current web information;   default value: `false`;   **Note:** even if the parameter is set to `true`, there is no guarantee web sources will be cited in the response |
| `tag` | string | *user-defined task identifier*   optional field   *the character limit is 255*   you can use this parameter to identify the task and match it with the result   you will find the specified `tag` value in the `data` object of the response |



  
  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.  
  
**Description of the fields in the results array:**  
| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `keyword` | string | *keyword received in a POST array* **the keyword is returned with decoded %## (plus symbol '+' will be decoded to a space character)** |
| `location_code` | integer | *location code in a POST array* |
| `language_code` | string | *language code in a POST array* |
| `model` | string | *indicates the model version* |
| `check_url` | string | *direct URL to search engine results* you can use it to make sure that we provided exact results |
| `datetime` | string | *date and time when the result was received*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `markdown` | string | *content of the element in markdown format*   content of the result formatted in the [markdown markup language](https://en.wikipedia.org/wiki/Markdown) |
| **`search_results`** | array | *array of search results*   all web search outputs the model retrieved when looking up information, including duplicates and unused entries |
| `type` | string | *type of element*=***'chatgpt\_search\_result'***n |
| `url` | string | *result URL* |
| `domain` | string | *result domain* |
| `title` | string | *result title* |
| `description` | string | *result description* |
| `breadcrumb` | string | *breadcrumb* |
| **`sources`** | array | *array of sources*   the sources the model actually cited or relied on in its final answer |
| `type` | string | *type of element*=***'chat\_gpt\_source'*** |
| `title` | string | *source title* |
| `snippet` | string | *source description* |
| `domain` | string | *source domain* |
| `url` | string | *source URL* |
| `thumbnail` | string | *source thumbnail* |
| `source_name` | string | *source name* |
| `publication_date` | string | *date and time when the result was published*   in the format: “year-month-date:minutes:UTC\_difference\_hours:UTC\_difference\_minutes”   example:   `2019-11-15 12:57:46 +00:00` |
| `markdown` | string | *content of the element in markdown format*   content of the result formatted in the [markdown markup language](https://en.wikipedia.org/wiki/Markdown) |
| `fan_out_queries` | array | *array of fan-out queries*   contains related search queries derived from the main query to provide a more comprehensive response |
| **`brand_entities`** | array | *array of brand entities*   contains information on brands mentioned in the response |
| `type` | string | *type of the element = **'chat\_gpt\_brand\_entity'*** |
| `title` | string | *name of the brand* |
| `category` | string | *category of the brand* |
| `markdown` | string | *brand name in markdown format*   contains brand name formatted in the [markdown markup language](https://en.wikipedia.org/wiki/Markdown) |
| **`urls`** | array | *array of URLs and domains relevant to the brand* |
| `url` | string | *URL* |
| `domain` | string | *domain* |
| `se_results_count` | integer | *total number of results* |
| `item_types` | array | *types of search results*   contains types of search results (`items`) found in SERP.   possible item types:   `chat_gpt_text`, `chat_gpt_table`, `chat_gpt_navigation_list`, `chat_gpt_images`, `chat_gpt_local_businesses`, `chat_gpt_products` |
| `items_count` | integer | *the number of results returned in the **`items`** array* |
| **`items`** | array | *elements of ChatGPT results* |
| **`chat_gpt_text`** | object | *element in the response* |
| `type` | string | *type of element*=***'chat\_gpt\_text'*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `markdown` | string | *content of the element in markdown format*   content of the result formatted in the [markdown markup language](https://en.wikipedia.org/wiki/Markdown) |
| **`sources`** | array | *array of sources* |
| `type` | string | *type of element*=***'chat\_gpt\_source'***n |
| `title` | string | *source title* |
| `snippet` | string | *source description* |
| `domain` | string | *source domain in SERP* |
| `url` | string | *source URL* |
| `thumbnail` | string | *source thumbnail* |
| `source_name` | string | *source name* |
| `publication_date` | string | *date and time when the result was published*   in the format: “year-month-date:minutes:UTC\_difference\_hours:UTC\_difference\_minutes”   example:   `2019-11-15 12:57:46 +00:00` |
| `markdown` | string | *content of the element in markdown format*   content of the result formatted in the [markdown markup language](https://en.wikipedia.org/wiki/Markdown) |
| **`brand_entities`** | array | *array of brand entities*   contains information on brands mentioned in the text |
| `type` | string | *type of the element = **'chat\_gpt\_brand\_entity'*** |
| `title` | string | *name of the brand* |
| `category` | string | *category of the brand* |
| `markdown` | string | *brand name in markdown format*   contains brand name formatted in the [markdown markup language](https://en.wikipedia.org/wiki/Markdown) |
| **`urls`** | array | *array of URLs and domains relevant to the brand* |
| `url` | string | *URL* |
| `domain` | string | *domain* |
| **`chat_gpt_table`** | object | *element in the response* |
| `type` | string | *type of element*=***'chat\_gpt\_table'*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `text` | string | *text of the element* |
| `markdown` | string | *content of the element in markdown format*   content of the result formatted in the [markdown markup language](https://en.wikipedia.org/wiki/Markdown) |
| **`table`** | object | *table present in the element*   the header and content of the table present in the element |
| `table_header` | array | *content in the header of the table* |
| `table_content` | array | *array of contents of the table present in the element*   each array represents the table row |
| **`brand_entities`** | array | *array of brand entities*   contains information on brands mentioned in the table |
| `type` | string | *type of the element = **'chat\_gpt\_brand\_entity'*** |
| `title` | string | *name of the brand* |
| `category` | string | *category of the brand* |
| `markdown` | string | *brand name in markdown format*   contains brand name formatted in the [markdown markup language](https://en.wikipedia.org/wiki/Markdown) |
| **`urls`** | array | *array of URLs and domains relevant to the brand* |
| `url` | string | *URL* |
| `domain` | string | *domain* |
| **`chat_gpt_navigation_list`** | object | *element in the response* |
| `type` | string | *type of element*=***'chat\_gpt\_navigation\_list'*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `title` | string | *title of the element* |
| **`sources`** | array | *array of sources* |
| `type` | string | *type of element*=***'chat\_gpt\_source'*** |
| `title` | string | *source title* |
| `snippet` | string | *source description* |
| `domain` | string | *source domain in SERP* |
| `url` | string | *source URL* |
| `thumbnail` | string | *source thumbnail* |
| `source_name` | string | *source name* |
| `publication_date` | string | *date and time when the result was published*   in the format: “year-month-date:minutes:UTC\_difference\_hours:UTC\_difference\_minutes”   example:   `2019-11-15 12:57:46 +00:00` |
| `markdown` | string | *content of the element in markdown format*   content of the result formatted in the [markdown markup language](https://en.wikipedia.org/wiki/Markdown) |
| **`chat_gpt_images`** | object | *element in the response* |
| `type` | string | *type of element*=***'chat\_gpt\_images'*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `markdown` | string | *content of the element in markdown format*   content of the result formatted in the [markdown markup language](https://en.wikipedia.org/wiki/Markdown) |
| **`items`** | array | *items present in the element* |
| `type` | string | *type of element = '**chat\_gpt\_images\_element**'* |
| `alt` | string | *alt tag of the image* |
| `url` | string | *relevant URL* |
| `image_url` | string | *URL of the image*   the URL leading to the image on the original resource or DataForSEO storage (in case the original source is not available) |
| `markdown` | string | *content of the element in markdown format*   content of the result formatted in the [markdown markup language](https://en.wikipedia.org/wiki/Markdown) |
| **`chat_gpt_local_businesses`** | object | *element in the response* |
| `type` | string | *type of element*=***'chat\_gpt\_local\_businesses'*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `markdown` | string | *content of the element in markdown format*   content of the result formatted in the [markdown markup language](https://en.wikipedia.org/wiki/Markdown) |
| **`items`** | array | *items present in the element* |
| `type` | string | *type of element = '**chat\_gpt\_local\_businesses\_element**'* |
| `title` | string | *title of the local business* |
| `description` | string | *description of the local business* |
| `address` | string | *address of the local business* |
| `phone` | string | *phone of the local business* |
| `reviews_count` | integer | *total number of reviews submitted for the local business* |
| `url` | string | *website URL of the local business* |
| `domain` | string | *domain name of the local business* |
| **`rating`** | object | *rating of the corresponding local business*   popularity rate based on reviews and displayed in SERP |
| `rating_type` | string | *type of rating*   here you can find the following elements: `Max5`, `Percents`, `CustomMax` |
| `value` | float | *the average rating based on all reviews* |
| `votes_count` | integer | *the number of votes* |
| `rating_max` | integer | *the maximum value for a `rating_type`* |
| **`chat_gpt_products`** | object | *element in the response* |
| `type` | string | *type of element*=***'chat\_gpt\_products'*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| **`items`** | array | *items present in the element* |
| `type` | string | *type of element = '**chat\_gpt\_products\_element**'* |
| `product_id` | string | *product id* |
| `merchants` | string | *merchant(s) offering the product* |
| `id_to_token_map` | string | *product identifier token*   Base64-encoded token containing Google Shopping product IDs associated with the product |
| `title` | string | *title of the product* |
| **`rating`** | object | *rating of the product*   popularity rate based on reviews and displayed in SERP |
| `rating_type` | string | *type of rating*   here you can find the following elements: `Max5`, `Percents`, `CustomMax` |
| `value` | float | *the average rating based on all reviews* |
| `votes_count` | integer | *the number of votes* |
| `rating_max` | integer | *the maximum value for a `rating_type`* |
| `price` | float | *product price* |
| `currency` | string | *currency of the listed price*   ISO code of the currency applied to the price |
| `tag` | string | *tag text* |
| `url` | string | *result URL* |
| `domain` | string | *result domain in SERP* |
| `images` | array | *image URLs of the element*   contains URLs leading to the images on the original resource or DataForSEO storage (in case the original source is not available) |
| **`product_ids`** | array | *Google Shopping product identifiers*   array of Google Shopping product IDs associated with the product |
| `type` | string | *type of element = '**chat\_gpt\_google\_shopping\_product**'* |
| `ei` | string | *event identifier*   internal event identifier used by Google |
| `product_id` | string | *product identifier*   can be used as a `data_docid` in [Google Shopping API endpoints](https://docs.dataforseo.com/v3/merchant/google/overview.md) |
| `catalog_id` | string | *Google Shopping catalog identifier of the product*   can be used as a `product_id` in [Google Shopping API endpoints](https://docs.dataforseo.com/v3/merchant/google/overview.md) |
| `gpcid` | string | *Google product cluster identifier*   can be used as a `gid` in [Google Shopping API endpoints](https://docs.dataforseo.com/v3/merchant/google/overview.md) |
| `headline_offer_docid` | string | *document identifier of the main offer in the headline*   can be used as a `data_docid` in [Google Shopping API endpoints](https://docs.dataforseo.com/v3/merchant/google/overview.md) |
| `image_docid` | string | *identifier for the displayed product’s image* |
| `rds` | string | *resource descriptor string*    internal Google resource descriptor string that identifies the product within Google's Shopping index |
| `query` | string | *search query*   search query used by ChatGPT to retrieve the product from Google Shopping |
| `mid` | string | *merchant identifier*   identifier of the seller or merchant account in Google Shopping |
| `pvt` | string | *product view type*   internal Google parameter that specifies the product view type used when rendering the product item |
| `uule` | string | *encoded location parameter*   indicates the location for a search |
| `gl` | string | *country code*   indicates the location for which search results are displayed |
| `hl` | string | *host language code*   indicates the language in which search results are displayed |
| **`chat_gpt_ad`** | object | *element in the response* |
| `type` | string | *type of element*=***'chat\_gpt\_ad'*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `title` | string | *title of the ad* |
| `snippet` | string | *description text of the ad* |
| `url` | string | *URL of the ad landing page* |
| `domain` | string | *domain of the ad landing page* |
| `image_url` | string | *URL of the image displayed in the ad* |
| **`advertiser`** | object | *information about the advertiser associated with the ad* |
| `name` | string | *name of the advertiser* |
| `url` | string | *URL of the advertiser's website* |
| `favicon_url` | string | *URL of the advertiser's favicon image* |







  
 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/live/advanced" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "language_code": "en",
        "location_code": 2840,
        "keyword": "albert einstein"
    }
]'
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
   // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
   $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
   exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
   "language_code" => "en",
   "location_code" => 2840,
   "keyword" => mb_convert_encoding("albert einstein", "UTF-8")
);
if (count($post_array) > 0) {
try {
    // POST /v3/ai_optimization/chat_gpt/llm_scraper/live/advanced
    // in addition to 'chat_gpt' and 'llm_scraper' you can also set other search engine and type parameters
    // the full list of possible parameters is available in documentation
    $result = $client->post('/v3/ai_optimization/chat_gpt/llm_scraper/live/advanced', $post_array);
    print_r($result);
    // do something with post result
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
}
$client = null;
?>
```





```js
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/live/advanced',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
    "language_code": "en",
    "location_code": 2840,
    "keyword": encodeURI("albert einstein")
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```
"""
Method: POST
Endpoint: https://api.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/live/advanced
@see https://docs.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/live/advanced
"""

import sys
import os
sys.path.append(os.path.abspath(os.path.join(os.path.dirname(__file__), '../../../../../')))
from lib.client import RestClient
from lib.config import username, password
client = RestClient(username, password)

post_data = []
post_data.append({
    language_code="en",
    location_code=2840,
    keyword="albert einstein"
    })
try:
    response = client.post('/v3/ai_optimization/chat_gpt/llm_scraper/live/advanced', post_data)
    print(response)
    # do something with post result
except Exception as e:
    print(f'An error occurred: {e}')
```





```csharp
using System;
using System.Linq;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Collections.Generic;
using System.Threading.Tasks;
using Newtonsoft.Json;
namespace DataForSeoSdk;

public class AiOptimization
{

    private static readonly HttpClient _httpClient;
    
    static AiOptimization()
    {
        _httpClient = new HttpClient
        {
            BaseAddress = new Uri("https://api.dataforseo.com/")
        };
        _httpClient.DefaultRequestHeaders.Authorization =
            new AuthenticationHeaderValue("Basic", ApiConfig.Base64Auth);
    }

    /// <summary>
    /// Method: POST
    /// Endpoint: https://api.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/live/advanced
    /// </summary>
    /// <see href="https://docs.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/live/advanced"/>
    
    public static async Task ChatGptLlmResponsesLive()
    {
        var postData = new List<object>();
        // a simple way to set a task, the full list of possible parameters is available in documentation
        postData.Add(new
        {
                language_name = "English",
                location_name = "United States",
                keyword = "albert einstein"
        });

        var content = new StringContent(JsonConvert.SerializeObject(postData), Encoding.UTF8, "application/json");
        using var response = await _httpClient.PostAsync("/v3/ai_optimization/chat_gpt/llm_scraper/live/advanced", content);
        var result = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
        if (result.status_code == 20000)
        {
            // do something with result
            Console.WriteLine(result);
        }
        else
            Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
    }
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20250724",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "15.0903 sec.",
  "cost": 0.004,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "08061654-0696-0629-0000-9d8abd5829ae",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "15.0329 sec.",
      "cost": 0.004,
      "result_count": 1,
      "path": [
        "v3",
        "ai_optimization",
        "chat_gpt",
        "llm_scraper",
        "live",
        "advanced"
      ],
      "data": {
        "api": "ai_optimization",
        "function": "llm_scraper",
        "se": "chat_gpt",
        "force_web_search": true,
        "language_code": "en",
        "location_code": 2840,
        "keyword": "albert einstein",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "albert einstein",
          "location_code": 2840,
          "language_code": "en",
          "model": "gpt-4o",
          "check_url": "https://chatgpt.com/?q=albert%20einstein&hints=search",
          "datetime": "2025-08-14 09:26:26 +00:00",
          "markdown": "![en.wikipedia.org/wiki/al...] Interested in diving deeper? Let me know if you'd like to explore any particular facet—his papers, quotes, or maybe his influence on modern physics!nn",
          "search_results": [
            {
              "type": "chatgpt_search_result",
              "url": "https://www.britannica.com/biography/Albert-Einstein?utm_source=chatgpt.com",
              "domain": "www.britannica.com",
              "title": "Albert Einstein | Biography, Education, Discoveries, & Facts | Britannica",
              "description": "Ask the Chatbot Games & Quizzes History & Society Science & Tech Biographies Animals & Nature Geography & Travel Arts & Culture ProCon Money Videos  Albert Einstein  Albert Einstein  ALBERT EINSTEIN...",
              "breadcrumb": "britannica.com"
            }
          ],
          "sources": [
            {
              "type": "chat_gpt_source",
              "title": "Albert Einstein",
              "snippet": null,
              "domain": "en.wikipedia.org",
              "url": "https://en.wikipedia.org/wiki/Albert_Einstein?utm_source=chatgpt.com",
              "thumbnail": null,
              "source_name": "Wikipedia",
              "publication_date": "2025-08-13 22:16:33 +00:00",
              "markdown": null
            },
            {
              "type": "chat_gpt_source",
              "title": "Albert Einstein: Biography, Physicist, Nobel Prize Winner",
              "snippet": null,
              "domain": "www.biography.com",
              "url": "https://www.biography.com/scientists/albert-einstein?utm_source=chatgpt.com",
              "thumbnail": null,
              "source_name": "Biography",
              "publication_date": null,
              "markdown": null
            },
            {
              "type": "chat_gpt_source",
              "title": "Annus mirabilis papers",
              "snippet": null,
              "domain": "en.wikipedia.org",
              "url": "https://en.wikipedia.org/wiki/Annus_mirabilis_papers?utm_source=chatgpt.com",
              "thumbnail": null,
              "source_name": "Wikipedia",
              "publication_date": "2025-07-06 19:19:49 +00:00",
              "markdown": null
            }
          ],
          "fan_out_queries": [
            "Albert Einstein biography"
          ],
          "brand_entities": [
            {
              "type": "chat_gpt_brand_entity",
              "title": "SEMrush",
              "category": "software",
              "markdown": "SEMrush",
              "urls": null
            },
            {
              "type": "chat_gpt_brand_entity",
              "title": "Google Analytics",
              "category": "software",
              "markdown": "Google Analytics",
              "urls": null
            }
          ],
          "se_results_count": 0,
          "item_types": [
            "chat_gpt_images",
            "chat_gpt_text",
            "chat_gpt_table",
            "chat_gpt_products",
            "chat_gpt_local_businesses",
            "chat_gpt_navigation_list"
          ],
          "items_count": 5,
          "items": [
            {
              "type": "chat_gpt_images",
              "rank_group": 1,
              "rank_absolute": 1,
              "markdown": "![en.wikipedia.org/wiki/al...](https://upload.wikimedia.org/wikipedia/commons/thumb/1/14/Albert_Einstein_1947.jpg/960px-Albert_Einstein_1947.jpg)",
              "items": [
                {
                  "type": "chat_gpt_images_element",
                  "url": "https://en.wikipedia.org/wiki/Albert_Einstein?utm_source=chatgpt.com",
                  "alt": "en.wikipedia.org/wiki/al...",
                  "image_url": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/14/Albert_Einstein_1947.jpg/960px-Albert_Einstein_1947.jpg",
                  "markdown": "![en.wikipedia.org/wiki/al...](https://upload.wikimedia.org/wikipedia/commons/thumb/1/14/Albert_Einstein_1947.jpg/960px-Albert_Einstein_1947.jpg)"
                }
              ]
            },
            {
              "type": "chat_gpt_text",
              "rank_group": 1,
              "rank_absolute": 2,
              "markdown": "nnHere’s a classic image of **Albert Einstein**, perhaps the most iconic physicist of the 20th century.nn",
              "sources": [
                {
                  "type": "chat_gpt_source",
                  "title": "Albert Einstein",
                  "snippet": null,
                  "domain": "en.wikipedia.org",
                  "url": "https://en.wikipedia.org/wiki/Albert_Einstein?utm_source=chatgpt.com",
                  "thumbnail": null,
                  "source_name": "Wikipedia",
                  "publication_date": "2025-08-13 22:16:33 +00:00",
                  "markdown": null
                },
                {
                  "type": "chat_gpt_source",
                  "title": "Albert Einstein: Biography, Physicist, Nobel Prize Winner",
                  "snippet": null,
                  "domain": "www.biography.com",
                  "url": "https://www.biography.com/scientists/albert-einstein?utm_source=chatgpt.com",
                  "thumbnail": null,
                  "source_name": "Biography",
                  "publication_date": null,
                  "markdown": null
                },
                {
                  "type": "chat_gpt_source",
                  "title": "Annus mirabilis papers",
                  "snippet": null,
                  "domain": "en.wikipedia.org",
                  "url": "https://en.wikipedia.org/wiki/Annus_mirabilis_papers?utm_source=chatgpt.com",
                  "thumbnail": null,
                  "source_name": "Wikipedia",
                  "publication_date": "2025-07-06 19:19:49 +00:00",
                  "markdown": null
                }
              ],
              "brand_entities": [
                {
                  "type": "chat_gpt_brand_entity",
                  "title": "SEMrush",
                  "category": "software",
                  "markdown": "SEMrush",
                  "urls": null
                },
                {
                  "type": "chat_gpt_brand_entity",
                  "title": "Google Analytics",
                  "category": "software",
                  "markdown": "Google Analytics",
                  "urls": null
                }
              ]
            },
            {
              "type": "chat_gpt_table",
              "rank_group": 1,
              "rank_absolute": 3,
              "text": null,
              "markdown": "| Contribution                    | Impact                                                                 |n|----------------------------------|------------------------------------------------------------------------|n| Photoelectric Effect             | Laid foundations for quantum mechanics and practical light-based tech  |n| Brownian Motion                  | Cemented atomic theory                                                |n| Special & General Relativity     | Revolutionized understanding of spacetime and gravity                 |n| E = mc²                          | Established mass-energy equivalence—key to nuclear physics            |n| Everyday tech                    | Powering lasers, GPS, solar cells, devices using photoelectric cells  |nn",
              "table": {
                "table_header": [
                  "Contribution",
                  "Impact"
                ],
                "table_content": [
                  [
                    "Photoelectric Effect",
                    "Laid foundations for quantum mechanics and practical light-based tech"
                  ],
                  [
                    "Brownian Motion",
                    "Cemented atomic theory"
                  ],
                  [
                    "Special & General Relativity",
                    "Revolutionized understanding of spacetime and gravity"
                  ],
                  [
                    "E = mc²",
                    "Established mass-energy equivalence—key to nuclear physics"
                  ],
                  [
                    "Everyday tech",
                    "Powering lasers, GPS, solar cells, devices using photoelectric cells"
                  ]
                ]
              },
              "brand_entities": [
                {
                  "type": "chat_gpt_brand_entity",
                  "title": "SEMrush",
                  "category": "software",
                  "markdown": "SEMrush",
                  "urls": null
                },
                {
                  "type": "chat_gpt_brand_entity",
                  "title": "Google Analytics",
                  "category": "software",
                  "markdown": "Google Analytics",
                  "urls": null
                }
              ]
            },
            {
              "type": "chat_gpt_text",
              "rank_group": 2,
              "rank_absolute": 4,
              "markdown": "n---nnEinstein’s genius extended beyond equations—he left an enduring mark on both science and society. His bold ideas continue to fuel discoveries. Interested in diving deeper? Let me know if you'd like to explore any particular facet—his papers, quotes, or maybe his influence on modern physics!nn",
              "sources": null,
              "brand_entities": [
                {
                  "type": "chat_gpt_brand_entity",
                  "title": "SEMrush",
                  "category": "software",
                  "markdown": "SEMrush",
                  "urls": null
                },
                {
                  "type": "chat_gpt_brand_entity",
                  "title": "Google Analytics",
                  "category": "software",
                  "markdown": "Google Analytics",
                  "urls": null
                }
              ]
            },
            {
              "type": "chat_gpt_products",
              "rank_group": 1,
              "rank_absolute": 2,
              "items": [
                {
                  "type": "chat_gpt_products_element",
                  "product_id": "gid://shopify/p/7JnWm9ccvIQ5SklKKTC9zt",
                  "merchants": "Walmart + others",
                  "id_to_token_map": "eyJlaSI6IlV1U3VhZEMwRDdPcnA4NFBxS2ZfLUFZIiwicHJvZHVjdGlkIjoiIiwiY2F0YWxvZ2lkIjoiMTM4NjA4ODc0MDQ2NzE1MzYzMzkiLCJoZWFkbGluZU9mZmVyRG9jaWQiOiIxNjU2NTYzMDQzOTM5NzQ5Mjk0NiIsImltYWdlRG9jaWQiOiIxMTM0NDIwOTE2MzQ2ODQwNTI1NyIsInJkcyI6IlBDXzEyNTEzNzI4NjY1Mjg3MjYzMjQ5fFBST0RfUENfMTI1MTM3Mjg2NjUyODcyNjMyNDkiLCJxdWVyeSI6IlNhbXN1bmcrR2FsYXh5K0ExNSIsImdwY2lkIjoiMTI1MTM3Mjg2NjUyODcyNjMyNDkiLCJtaWQiOiI1NzY0NjI4MjA2MzgyMzU5ODQiLCJwdnQiOiJoZyIsInV1bGUiOiJ3K0NBSVFJQ0loVkdGc2JHRm9ZWE56WldVc1JteHZjbWxrWVN4VmJtbDBaV1FnVTNSaGRHVnoiLCJnbCI6InVzIiwiaGwiOiJlbiJ9",
                  "title": "Albert Einstein Tongue Out Hoodie",
                  "rating": null,
                  "price": 34.95,
                  "currency": "USD",
                  "tag": "Playful tongue‑out design, mid‑$30s",
                  "url": "https://absurdink.com/products/albert-einstein-tongue-out-hoodie?variant=31097782173755&utm_source=chatgpt.com",
                  "domain": "absurdink.com",
                  "images": [
                    "https://cdn.shopify.com/s/files/1/1111/4912/products/Einstein_06be2084-c169-43c6-acba-97df01fee76f.jpg?v=1725508345"
                  ],
                  "product_ids": [
                    {
                      "type": "chat_gpt_google_shopping_product",
                      "ei": "UuSuadCKGZayqtsPjrC_4Q0",
                      "product_id": null,
                      "catalog_id": "5107120445543377511",
                      "gpcid": "9790657218427735730",
                      "headline_offer_docid": "17593849131859838777",
                      "image_docid": "7586497457493211594",
                      "rds": "PC_9790657218427735730|PROD_PC_9790657218427735730",
                      "query": "cheap+smartphones+under+200+unlocked+android",
                      "mid": null,
                      "pvt": "hg",
                      "uule": "w+CAIQICIhVGFsbGFoYXNzZWUsRmxvcmlkYSxVbml0ZWQgU3RhdGVz",
                      "gl": "us",
                      "hl": "en"
                    }
                  ]
                },
                {
                  "type": "chat_gpt_products_element",
                  "product_id": "gid://shopify/p/5ymP4aadqvedAsJ3PeFyvU",
                  "merchants": "Walmart + others",
                  "id_to_token_map": "eyJlaSI6IlV1U3VhZEMwRDdPcnA4NFBxS2ZfLUFZIiwicHJvZHVjdGlkIjoiIiwiY2F0YWxvZ2lkIjoiMTM4NjA4ODc0MDQ2NzE1MzYzMzkiLCJoZWFkbGluZU9mZmVyRG9jaWQiOiIxNjU2NTYzMDQzOTM5NzQ5Mjk0NiIsImltYWdlRG9jaWQiOiIxMTM0NDIwOTE2MzQ2ODQwNTI1NyIsInJkcyI6IlBDXzEyNTEzNzI4NjY1Mjg3MjYzMjQ5fFBST0RfUENfMTI1MTM3Mjg2NjUyODcyNjMyNDkiLCJxdWVyeSI6IlNhbXN1bmcrR2FsYXh5K0ExNSIsImdwY2lkIjoiMTI1MTM3Mjg2NjUyODcyNjMyNDkiLCJtaWQiOiI1NzY0NjI4MjA2MzgyMzU5ODQiLCJwdnQiOiJoZyIsInV1bGUiOiJ3K0NBSVFJQ0loVkdGc2JHRm9ZWE56WldVc1JteHZjbWxrWVN4VmJtbDBaV1FnVTNSaGRHVnoiLCJnbCI6InVzIiwiaGwiOiJlbiJ9",
                  "title": "Funny Albert Einstein Quotes Hoodie: 'The measure of intelligence…'",
                  "rating": null,
                  "price": 49.95,
                  "currency": "USD",
                  "tag": "Features iconic quote, comfy and cozy (~$50)",
                  "url": "https://www.printyourwear.com/products/funny-albert-einstein-quotes-hoodie-the-measure-of-intelligence-is-the-ability-to-change-code?variant=51537394270526&utm_source=chatgpt.com",
                  "domain": "www.printyourwear.com",
                  "images": [
                    "https://cdn.shopify.com/s/files/1/0721/2993/7726/files/ts09-17032502_hoodie-pyw__black.jpg?v=1750566345"
                  ],
                  "product_ids": [
                    {
                      "type": "chat_gpt_google_shopping_product",
                      "ei": "UuSuadCKGZayqtsPjrC_4Q0",
                      "product_id": null,
                      "catalog_id": "5107120445543377511",
                      "gpcid": "9790657218427735730",
                      "headline_offer_docid": "17593849131859838777",
                      "image_docid": "7586497457493211594",
                      "rds": "PC_9790657218427735730|PROD_PC_9790657218427735730",
                      "query": "cheap+smartphones+under+200+unlocked+android",
                      "mid": null,
                      "pvt": "hg",
                      "uule": "w+CAIQICIhVGFsbGFoYXNzZWUsRmxvcmlkYSxVbml0ZWQgU3RhdGVz",
                      "gl": "us",
                      "hl": "en"
                    }
                  ]
                },
                {
                  "type": "chat_gpt_products_element",
                  "product_id": "gid://shopify/p/ZsqO4vxv0ViJXZxt74ePy",
                  "merchants": "Walmart + others",
                  "id_to_token_map": "eyJlaSI6IlV1U3VhZEMwRDdPcnA4NFBxS2ZfLUFZIiwicHJvZHVjdGlkIjoiIiwiY2F0YWxvZ2lkIjoiMTM4NjA4ODc0MDQ2NzE1MzYzMzkiLCJoZWFkbGluZU9mZmVyRG9jaWQiOiIxNjU2NTYzMDQzOTM5NzQ5Mjk0NiIsImltYWdlRG9jaWQiOiIxMTM0NDIwOTE2MzQ2ODQwNTI1NyIsInJkcyI6IlBDXzEyNTEzNzI4NjY1Mjg3MjYzMjQ5fFBST0RfUENfMTI1MTM3Mjg2NjUyODcyNjMyNDkiLCJxdWVyeSI6IlNhbXN1bmcrR2FsYXh5K0ExNSIsImdwY2lkIjoiMTI1MTM3Mjg2NjUyODcyNjMyNDkiLCJtaWQiOiI1NzY0NjI4MjA2MzgyMzU5ODQiLCJwdnQiOiJoZyIsInV1bGUiOiJ3K0NBSVFJQ0loVkdGc2JHRm9ZWE56WldVc1JteHZjbWxrWVN4VmJtbDBaV1FnVTNSaGRHVnoiLCJnbCI6InVzIiwiaGwiOiJlbiJ9",
                  "title": "Einstein E=McKushed Hoodie (StonerDays)",
                  "rating": null,
                  "price": 59.99,
                  "currency": "USD",
                  "tag": "Pop‑culture twist on E=MC², ethically sourced (~$60)",
                  "url": "https://shop.stonerdays.com/products/einstein-e-mckushed-hoodie?variant=14032863133805&utm_source=chatgpt.com",
                  "domain": "shop.stonerdays.com",
                  "images": [
                    "https://cdn.shopify.com/s/files/1/1373/4937/products/einstein-emckushed-hoodie-pullover-hoodieHoodiesforCannabisLovers.jpg?v=1725503584"
                  ],
                  "product_ids": [
                    {
                      "type": "chat_gpt_google_shopping_product",
                      "ei": "UuSuadCKGZayqtsPjrC_4Q0",
                      "product_id": null,
                      "catalog_id": "5107120445543377511",
                      "gpcid": "9790657218427735730",
                      "headline_offer_docid": "17593849131859838777",
                      "image_docid": "7586497457493211594",
                      "rds": "PC_9790657218427735730|PROD_PC_9790657218427735730",
                      "query": "cheap+smartphones+under+200+unlocked+android",
                      "mid": null,
                      "pvt": "hg",
                      "uule": "w+CAIQICIhVGFsbGFoYXNzZWUsRmxvcmlkYSxVbml0ZWQgU3RhdGVz",
                      "gl": "us",
                      "hl": "en"
                    }
                  ]
                }
              ]
            },
            {
              "type": "chat_gpt_local_businesses",
              "rank_group": 1,
              "rank_absolute": 2,
              "markdown": "**[La Casa Del Caffe](http://www.lacasadelcaffe.com?utm_source=chatgpt.com)**  n**Closed · Coffee Shop · $ · 3.9 (22 reviews)**  n_1036 Morris Park Ave (at Hone Ave), Bronx, NY 10461_  nA local favorite on Morris Park Avenue, known for great cappuccinos and one of the best places to work in the neighbourhood.nn**[Prince Coffee House](http://www.devollicorporation.com/?id=3&utm_source=chatgpt.com)**  n**Closed · Café · $ · 3.7 (44 reviews)**  n_2306 Arthur Ave, Bronx, NY 10458_  nSpacious, bright interior on Arthur Ave (“Little Italy”), ample seating, stays open until 11 pm—great for late‑night study.nn**[Mottley Kitchen](http://www.mottleykitchen.com?utm_source=chatgpt.com)**  n**Closed · Coffee Shop · $ · 4.4 (27 reviews)**  n_402 E 140th St (Willis Ave), Bronx, NY 10454_  nCozy breakfast‑lunch café with bookstore vibe, rooftop deck, quiet even when busy—nice for work/study.nn**Boogie Down Grind**  n**Closed · Coffee Shop · $ · 3.9 (12 reviews)**  n_868 Hunts Point Ave, Bronx, NY 10474_  nCharming café with unique subway‑car design, cozy and quiet with background music and community atmosphere.",
              "items": [
                {
                  "type": "chat_gpt_local_businesses_element",
                  "title": "La Casa Del Caffe",
                  "description": "A local favorite on Morris Park Avenue, known for great cappuccinos and one of the best places to work in the neighbourhood.",
                  "address": "1036 Morris Park Ave (at Hone Ave), Bronx, NY 10461",
                  "phone": "+17189317816",
                  "reviews_count": 22,
                  "url": "http://www.lacasadelcaffe.com?utm_source=chatgpt.com",
                  "domain": "www.lacasadelcaffe.com",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 3.9,
                    "votes_count": 22,
                    "rating_max": 5
                  }
                },
                {
                  "type": "chat_gpt_local_businesses_element",
                  "title": "Prince Coffee House",
                  "description": "Spacious, bright interior on Arthur Ave (“Little Italy”), ample seating, stays open until 11 pm—great for late‑night study.",
                  "address": "2306 Arthur Ave, Bronx, NY 10458",
                  "phone": "+13472701030",
                  "reviews_count": 44,
                  "url": "http://www.devollicorporation.com/?id=3&utm_source=chatgpt.com",
                  "domain": "www.devollicorporation.com",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 3.7,
                    "votes_count": 44,
                    "rating_max": 5
                  }
                },
                {
                  "type": "chat_gpt_local_businesses_element",
                  "title": "Mottley Kitchen",
                  "description": "Cozy breakfast‑lunch café with bookstore vibe, rooftop deck, quiet even when busy—nice for work/study.",
                  "address": "402 E 140th St (Willis Ave), Bronx, NY 10454",
                  "phone": "+19293082099",
                  "reviews_count": 27,
                  "url": "http://www.mottleykitchen.com?utm_source=chatgpt.com",
                  "domain": "www.mottleykitchen.com",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4.4,
                    "votes_count": 27,
                    "rating_max": 5
                  }
                },
                {
                  "type": "chat_gpt_local_businesses_element",
                  "title": "Boogie Down Grind",
                  "description": "Charming café with unique subway‑car design, cozy and quiet with background music and community atmosphere.",
                  "address": "868 Hunts Point Ave, Bronx, NY 10474",
                  "phone": "+17189868548",
                  "reviews_count": 12,
                  "url": null,
                  "domain": null,
                  "rating": {
                    "rating_type": "Max5",
                    "value": 3.9,
                    "votes_count": 12,
                    "rating_max": 5
                  }
                }
              ]
            },
            {
              "type": "chat_gpt_navigation_list",
              "rank_group": 1,
              "rank_absolute": 5,
              "title": "Further reading on Einstein",
              "sources": [
                {
                  "type": "chat_gpt_source",
                  "title": "March 14, 1879: Mr. Big",
                  "snippet": null,
                  "domain": "www.wired.com",
                  "url": "https://www.wired.com/2007/03/march-14-1879-mr-big?utm_source=chatgpt.com",
                  "thumbnail": "https://media.wired.com/photos/615e2b8ce78a8cd913bbaa76/16:9/w_1280,c_limit/wired_bug.jpg",
                  "source_name": null,
                  "publication_date": "2007-03-14 16:00:00 +00:00",
                  "markdown": null
                },
                {
                  "type": "chat_gpt_source",
                  "title": "The Valiant Swabian",
                  "snippet": null,
                  "domain": "www.newyorker.com",
                  "url": "https://www.newyorker.com/magazine/2007/04/02/the-valiant-swabian?utm_source=chatgpt.com",
                  "thumbnail": "https://media.newyorker.com/photos/5909308aebe912338a371892/16:9/w_1280,c_limit/070402_r16064b_p646.jpg",
                  "source_name": null,
                  "publication_date": "2007-03-26 04:00:00 +00:00",
                  "markdown": null
                }
              ]
            },
            {
              "type": "chat_gpt_ad",
              "rank_group": 1,
              "rank_absolute": 2,
              "title": "Iconic American Classics",
              "snippet": "Timeless looks for summer events.",
              "url": "https://www.ralphlauren.com/search?lang=en_US&rootLevelCat=&br=t&q=american+flag?utm_medium%3Dai&utm_campaign=CAM14505122129&utm_term=AG202642000002",
              "domain": "www.ralphlauren.com",
              "image_url": "https://bzrcdn.openai.com/d4429929ff2eb9cb.jpg",
              "advertiser": {
                "name": "Ralph Lauren",
                "url": "https://www.ralphlauren.com/",
                "favicon_url": "https://bzrcdn.openai.com/c50749d8985a3cad.png"
              }
            }
          ]
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp